
Foreman - Bug #4293

Scoped search breaks on some relations

02/07/2014 02:03 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 1.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I can't search using taxonomies anywhere except hosts (which have belongs_to instead of has_many relation). This is blocker for 

#812.

To reproduce, go to e.g. subnets page and try to find subnets from specific organization like this

"organization = RedHat"

you'll receive

NoMethodError in SubnetsController#index

undefined method `klass' for nil:NilClass

app/controllers/subnets_controller.rb:5:in `index'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Parameters:

{"utf8"=>"✓",

 "search"=>"organization = RedHat",

 "locale"=>nil}

Related issues:

Related to Foreman - Bug #2767: Seach for  host.hostgroup in /fact_values rai... Resolved 07/10/2013

Related to Foreman - Bug #4563: ruby193-rubygem-scoped_search-2.6.3-1.el6.noa... Closed 03/06/2014

Blocks Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

History

#1 - 02/07/2014 02:04 PM - Marek Hulán

- Related to Bug #2767: Seach for  host.hostgroup in /fact_values raise 500 error  added

#2 - 02/07/2014 02:04 PM - Marek Hulán

- Blocks Feature #812: cant assign roles to groups, just to users added

#3 - 02/10/2014 11:50 AM - Amos Benari

This (https://github.com/wvanbergen/scoped_search/pull/67) should fix the issue.

#4 - 02/10/2014 03:28 PM - Marek Hulán

- Status changed from New to Closed

- Assignee set to Amos Benari

- Target version set to 1.9.1

- % Done changed from 0 to 100
https://github.com/wvanbergen/scoped_search/pull/67


Tested new 2.6.2 fixes the issue! Thank you Amos. #2767 still does not work, but that seems as different issue.

#5 - 02/10/2014 03:54 PM - Dominic Cleal

RPM of 2.6.2 built and released to nightly.

#6 - 02/19/2014 12:57 PM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 5

#7 - 03/06/2014 01:50 AM - Anonymous

- Related to Bug #4563: ruby193-rubygem-scoped_search-2.6.3-1.el6.noarch breaks searching via the api with foreman-1.4.1 added
